Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.rules
Class RuleEngine

    java.lang.Object
      com.knowgate.rules.RuleEngine

    public class RuleEngine

extends java.lang.Object

Rule Engine

Constructor Summary
`protected` | `RuleEngine(java.util.Properties oProperties, java.lang.String sProfile)`
`protected` | `RuleEngine(java.lang.String sPropertiesPath, java.lang.String sProfile)`

Method Summary
`static void` | `closeAll()`
`static void` | `closeEngine(java.lang.String sEngineName)`
`static java.util.HashMap` | `engines()`
`static boolean` | `existsEngine(java.lang.String sEngineName)`
`boolean` | `getAssert(java.lang.String sAssertKey)`
`JDCConnection` | `getConnection(java.lang.String sCaller)`
`DBBind` | `getDataBaseBind(java.lang.String sProfileName)`
`DBBind` | `getDefaultDataBaseBind()`
`java.util.Properties` | `getDefaultProperties()`
`java.util.Date` | `getDefaultPropertyDate(java.lang.String sKey, java.lang.String sFormat)`
`java.util.Date` | `getDefaultPropertyDate(java.lang.String sKey, java.lang.String sFormat, java.util.Date dtDefault)`
`java.math.BigDecimal` | `getDefaultPropertyDec(java.lang.String sKey)`
`java.math.BigDecimal` | `getDefaultPropertyDec(java.lang.String sKey, java.math.BigDecimal dDefault)`
`java.lang.Integer` | `getDefaultPropertyInt(java.lang.String sKey)`
`java.lang.Integer` | `getDefaultPropertyInt(java.lang.String sKey, java.lang.Integer iDefault)`
`java.lang.String` | `getDefaultPropertyStr(java.lang.String sKey)`
`java.lang.String` | `getDefaultPropertyStr(java.lang.String sKey, java.lang.String sDefault)`
`static RuleEngine` | `getEngine(java.lang.String sEngineName, java.lang.String sPropertiesPath, java.lang.String sProfileName)`
`java.util.Properties` | `getProperties(java.lang.String sSetName)`
`java.util.Date` | `getPropertyDate(java.lang.String sSetName, java.lang.String sKey, java.lang.String sFormat)`
`java.util.Date` | `getPropertyDate(java.lang.String sSetName, java.lang.String sKey, java.lang.String sFormat, java.util.Date dtDefault)`
`java.math.BigDecimal` | `getPropertyDec(java.lang.String sSetName, java.lang.String sKey)`
`java.math.BigDecimal` | `getPropertyDec(java.lang.String sSetName, java.lang.String sKey, java.math.BigDecimal dDefault)`
`java.lang.Integer` | `getPropertyInt(java.lang.String sSetName, java.lang.String sKey)`
`java.lang.Integer` | `getPropertyInt(java.lang.String sSetName, java.lang.String sKey, java.lang.Integer iDefault)`
`java.lang.String` | `getPropertyStr(java.lang.String sSetName, java.lang.String sKey)`
`java.lang.String` | `getPropertyStr(java.lang.String sSetName, java.lang.String sKey, java.lang.String sDefault)`
`void` | `loadDefaultProperties(java.lang.String sSetName, java.lang.String sPathFile)`
`void` | `loadProperties(java.lang.String sSetName, java.lang.String sPathFile)`
`void` | `saveDefaultProperties()`
`void` | `saveProperties(java.lang.String sSetName)`
`void` | `setAssert(java.lang.String sAssertKey, boolean bTrueOrFalse)`
`void` | `setDataBaseBind(DBBind oDbb)`
`void` | `setDefaultDataBaseBind(DBBind oDbb)`
`void` | `setDefaultDataBaseBind(java.lang.String sProfileName)`
`void` | `setDefaultProperties(java.util.Properties oProps)`
`void` | `setDefaultProperties(java.util.Properties oProps, java.lang.String sProfileName)`
`void` | `setProperties(java.lang.String sSetName, java.util.Properties oPSet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleEngine

    protected RuleEngine(java.lang.String sPropertiesPath,
                         java.lang.String sProfile)
                  throws java.io.FileNotFoundException,
                         java.io.IOException

Throws:
  `java.io.FileNotFoundException`
  `java.io.IOException`

### RuleEngine

    protected RuleEngine(java.util.Properties oProperties,
                         java.lang.String sProfile)
                  throws java.io.FileNotFoundException,
                         java.io.IOException

Throws:
  `java.io.FileNotFoundException`
  `java.io.IOException`

Method Detail

### engines

    public static java.util.HashMap engines()

### existsEngine

    public static boolean existsEngine(java.lang.String sEngineName)

### getEngine

    public static RuleEngine getEngine(java.lang.String sEngineName,
                                       java.lang.String sPropertiesPath,
                                       java.lang.String sProfileName)
                                throws java.io.FileNotFoundException,
                                       java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### closeEngine

    public static void closeEngine(java.lang.String sEngineName)

### closeAll

    public static void closeAll()

### getProperties

    public java.util.Properties getProperties(java.lang.String sSetName)

### getDefaultProperties

    public java.util.Properties getDefaultProperties()

### getPropertyStr

    public java.lang.String getPropertyStr(java.lang.String sSetName,
                                           java.lang.String sKey)

### getPropertyStr

    public java.lang.String getPropertyStr(java.lang.String sSetName,
                                           java.lang.String sKey,
                                           java.lang.String sDefault)

### getDefaultPropertyStr

    public java.lang.String getDefaultPropertyStr(java.lang.String sKey,
                                                  java.lang.String sDefault)

### getDefaultPropertyStr

    public java.lang.String getDefaultPropertyStr(java.lang.String sKey)

### getPropertyDec

    public java.math.BigDecimal getPropertyDec(java.lang.String sSetName,
                                               java.lang.String sKey,
                                               java.math.BigDecimal dDefault)
                                        throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getPropertyDec

    public java.math.BigDecimal getPropertyDec(java.lang.String sSetName,
                                               java.lang.String sKey)
                                        throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getDefaultPropertyDec

    public java.math.BigDecimal getDefaultPropertyDec(java.lang.String sKey)
                                               throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getDefaultPropertyDec

    public java.math.BigDecimal getDefaultPropertyDec(java.lang.String sKey,
                                                      java.math.BigDecimal dDefault)
                                               throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getPropertyInt

    public java.lang.Integer getPropertyInt(java.lang.String sSetName,
                                            java.lang.String sKey,
                                            java.lang.Integer iDefault)
                                     throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getPropertyInt

    public java.lang.Integer getPropertyInt(java.lang.String sSetName,
                                            java.lang.String sKey)
                                     throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getDefaultPropertyInt

    public java.lang.Integer getDefaultPropertyInt(java.lang.String sKey)
                                            throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getDefaultPropertyInt

    public java.lang.Integer getDefaultPropertyInt(java.lang.String sKey,
                                                   java.lang.Integer iDefault)
                                            throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getPropertyDate

    public java.util.Date getPropertyDate(java.lang.String sSetName,
                                          java.lang.String sKey,
                                          java.lang.String sFormat,
                                          java.util.Date dtDefault)
                                   throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### getPropertyDate

    public java.util.Date getPropertyDate(java.lang.String sSetName,
                                          java.lang.String sKey,
                                          java.lang.String sFormat)
                                   throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### getDefaultPropertyDate

    public java.util.Date getDefaultPropertyDate(java.lang.String sKey,
                                                 java.lang.String sFormat)
                                          throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### getDefaultPropertyDate

    public java.util.Date getDefaultPropertyDate(java.lang.String sKey,
                                                 java.lang.String sFormat,
                                                 java.util.Date dtDefault)
                                          throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### setProperties

    public void setProperties(java.lang.String sSetName,
                              java.util.Properties oPSet)

### setDefaultProperties

    public void setDefaultProperties(java.util.Properties oProps)

### setDefaultProperties

    public void setDefaultProperties(java.util.Properties oProps,
                                     java.lang.String sProfileName)

### loadProperties

    public void loadProperties(java.lang.String sSetName,
                               java.lang.String sPathFile)
                        throws java.io.FileNotFoundException,
                               java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### loadDefaultProperties

    public void loadDefaultProperties(java.lang.String sSetName,
                                      java.lang.String sPathFile)
                               throws java.io.FileNotFoundException,
                                      java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### saveProperties

    public void saveProperties(java.lang.String sSetName)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveDefaultProperties

    public void saveDefaultProperties()
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### setDataBaseBind

    public void setDataBaseBind(DBBind oDbb)

### setDefaultDataBaseBind

    public void setDefaultDataBaseBind(DBBind oDbb)

### setDefaultDataBaseBind

    public void setDefaultDataBaseBind(java.lang.String sProfileName)

### getDataBaseBind

    public DBBind getDataBaseBind(java.lang.String sProfileName)

### getDefaultDataBaseBind

    public DBBind getDefaultDataBaseBind()

### getConnection

    public JDCConnection getConnection(java.lang.String sCaller)
                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setAssert

    public void setAssert(java.lang.String sAssertKey,
                          boolean bTrueOrFalse)

### getAssert

    public boolean getAssert(java.lang.String sAssertKey)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD